<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array("_baec81a782bb3d538" . "149a9225688246e" => base64_decode("ZXZlbnRfc291cmN" . "l"), "_28c85ce81fee65329802" . "62893b6f2425" => base64_decode("dXNlcm5hbW" . "U="), "_8cca4dd34e20c5344bb2a30f25" . "33c4e5" => base64_decode("ZnVsbF9uYW" . "1l"), "us" . "er" . "_i" . "d" => base64_decode("dXNlcl9" . "pZA=="));
use Claromentis\Core\Event\GenericEvent;
use InvalidArgumentException;









class AddUserEvent extends GenericEvent
{
    
    
    
    
    
    
    private $error_message = '';
    
    
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["user_" . "id"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_8cca4dd34e20c534" . "4bb2a30f2533c4e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_28c85ce81fe" . "e65329802628" . "93b6f2425"]);
    }
    
    
    
    
    
    
    
    
    public function GetEventSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_baec81a782bb3d538" . "149a9225688246e"]);
    }
    
    
    
    
    
    
    public function SetErrorMsg($error_message)
    {
        $this->error_message = $error_message;
    }
    
    
    
    
    
    
    public function GetErrorMsg()
    {
        return $this->error_message;
    }
}